## ferm 1.1

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 PREFIX		= /usr
 INSTDIR		= $(PREFIX)/sbin
-MANDIR		= $(PREFIX)/man/man1
-DOCDIR		= $(PREFIX)/doc/packages/ferm
+MANDIR		= $(PREFIX)/share/man/man1
+DOCDIR		= $(PREFIX)/share/doc/ferm
 SHELL		= /bin/sh
 
-all:	install
+all:
 
 .phony:
 
@@ -27,6 +27,7 @@
 	@install -m 644 -o 0 -g 0 examples/* $(DOCDIR)/examples
 	@echo "Installing unix man page in $(MANDIR)..."
 	@install -m 644 -o 0 -g 0 ferm.1 $(MANDIR)
+	@gzip -9 $(MANDIR)/ferm.1
 	@echo "Installing ferm in $(INSTDIR)..."
 	@install -m 755 -o 0 -g 0 ferm $(INSTDIR)/ferm
 	@echo "Done."
@@ -34,7 +35,7 @@
 uninstall:
 	@echo "Uninstalling..."
 	@rm -rf $(DOCDIR)
-	@rm -f $(MANDIR)/ferm.1
+	@rm -f $(MANDIR)/ferm.1 $(MANDIR)/ferm.1.gz
 	@rm -f $(INSTDIR)/ferm
 	@echo "Done."
