## ferm 1.2.4

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,8 @@
 # distribution
 #
 
+.PHONY: dist
+
 build/ferm-$(VERSION).tar.gz: all
 	rm -rf $(DISTDIR)
 	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
@@ -136,6 +138,12 @@
 #
 # misc targets
 #
+
+.PHONY: upload www ftp pub
+
+upload: doc/ferm.html
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.2/
+	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
 
 www: dist
 	@echo "Publishing tarfiles in $(WEBDIR)..."
