## ferm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,10 @@
 
 EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT),$(FERM_SCRIPTS))
+
+# just a hack because ferm/import-ferm scramble the keyword order
+SAVE2_SED = -e 's,-m mh -p ipv6-mh,-p ipv6-mh -m mh,'
+SAVE2_SED += -e 's,--fragfirst --fragres,--fragres --fragfirst,'
 
 $(STAMPDIR)/%.OLD: PATCHFILE = $(shell test -f "test/patch/$(patsubst test/%,%,$(<)).iptables" && echo "test/patch/$(patsubst test/%,%,$(<)).iptables" )
 $(STAMPDIR)/%.OLD: % $(OLD_FERM) test/canonical.pl
@@ -74,11 +78,12 @@
 	@mkdir -p $(dir $@)
 	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@
 
+$(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
 $(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT $(NEW_FERM)
-	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' >$@
+	$(PERL) $(NEW_FERM) $(NEW_OPTIONS) --fast $< |grep -v '^#' |sed $(SAVE2_SED) >$@
 
 %.check: %.OLD %.NEW
 	diff -u $^
@@ -142,7 +147,7 @@
 .PHONY: upload www ftp pub
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.2/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/1.3/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
 
 www: dist
