## ferm 2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 clean:
 	rm -rf build
-	rm -f doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 *.tmp
+	rm -f doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 *.tmp
 
 #
 # documentation
@@ -51,7 +51,7 @@
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm
+EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -60,7 +60,7 @@
 RESULT_SED += -e 's,--out-interface,-o,g'
 RESULT_SED += -e 's,--destination ,-d ,g'
 RESULT_SED += -e 's,--source ,-s ,g'
-RESULT_SED += -e 's,--match,-m,g'
+RESULT_SED += -e 's,--match ,-m ,g'
 RESULT_SED += -e 's,--jump,-j,g'
 RESULT_SED += -e 's,--goto,-g,g'
 RESULT_SED += -e 's,--fragment,-f,g'
