## ferm 2.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	pod2text $< > $@
 
 doc/ferm.html: doc/ferm.pod
-	pod2html $< --netscape --flush > $@
+	pod2html $< --title="ferm - Firewall rules made easy" --flush > $@
 
 doc/ferm.1: doc/ferm.pod
 	pod2man --section=1 --release="ferm $(VERSION)" \
@@ -51,7 +51,7 @@
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm
+EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm test/misc/address-magic.ferm
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -116,8 +116,9 @@
 build/ferm-$(VERSION).tar.gz: all
 	rm -rf $(DISTDIR)
 	install -d -m 755 $(DISTDIR) $(DISTDIR)/src $(DISTDIR)/doc $(DISTDIR)/examples
-	install -m 755 src/{import-,}ferm $(DISTDIR)/src
-	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/{import-,}ferm.1 $(DISTDIR)/doc
+	install -m 755 src/ferm src/import-ferm $(DISTDIR)/src
+	install -m 644 ferm.service $(DISTDIR)
+	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 $(DISTDIR)/doc
 	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
 	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
 	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)
@@ -131,20 +132,22 @@
 .PHONY: install uninstall
 
 install: all
-	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin
+	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin $(SERVICEDIR)
 	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
 	install -m 644 examples/*.ferm $(DOCDIR)/examples
-	install -m 755 src/{import-,}ferm $(PREFIX)/sbin/
+	install -m 755 src/ferm src/import-ferm $(PREFIX)/sbin/
+	install -m 644 ferm.service $(SERVICEDIR)
 
 	install -d -m 755 $(DOCDIR) $(MANDIR)
 	install -m 644 doc/ferm.txt doc/ferm.html $(DOCDIR)
-	install -m 644 doc/{import-,}ferm.1 $(MANDIR)
-	gzip -f9 $(MANDIR)/{import-,}ferm.1
+	install -m 644 doc/ferm.1 doc/import-ferm.1 $(MANDIR)
+	gzip -f9 $(MANDIR)/ferm.1 $(MANDIR)/import-ferm.1
 
 uninstall:
 	rm -rf $(DOCDIR)
-	rm -f $(MANDIR)/{import-,}ferm.1{,.gz}
-	rm -f $(PREFIX)/sbin/{import-,}ferm
+	rm -f $(MANDIR)/ferm.1 $(MANDIR)/import-ferm.1
+	rm -f $(SERVICEDIR)/ferm.service
+	rm -f $(PREFIX)/sbin/ferm $(PREFIX)/sbin/import-ferm
 
 #
 # misc targets
@@ -153,5 +156,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.0/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.2/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
