## ferm 2.3

=== Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 FERM_SCRIPTS =
 FERM_SCRIPTS += $(wildcard test/modules/*.ferm) $(wildcard test/targets/*.ferm)
 FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
+FERM_SCRIPTS += $(wildcard test/glob/*.ferm)
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
@@ -75,23 +76,26 @@
 	@mkdir -p $(dir $@)
 	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@
 
-$(STAMPDIR)/%.result: %.ferm src/ferm
+$(STAMPDIR)/%.result: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test --slow --noflush $< |sed $(RESULT_SED) >$@
+	$(PERL) src/ferm --test --slow --noflush $< |$(PERL) test/sort.pl |sed $(RESULT_SED) >$@
 
-$(STAMPDIR)/%.SAVE: %.ferm src/ferm
+$(STAMPDIR)/%.SAVE: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test $< >$@.tmp
-	grep -v '^#' <$@.tmp >$@
+	$(PERL) src/ferm --test $< |$(PERL) test/sort.pl >$@
 
 $(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
-$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT src/ferm
-	$(PERL) src/ferm --test --fast $< |grep -v '^#' >$@
+$(STAMPDIR)/%.SAVE2: $(STAMPDIR)/%.IMPORT src/ferm test/sort.pl
+	$(PERL) src/ferm --test --fast $< |$(PERL) test/sort.pl >$@
 
-$(STAMPDIR)/%.check: %.result $(STAMPDIR)/%.result
+$(STAMPDIR)/%.sort: %.result test/sort.pl
+	@mkdir -p $(dir $@)
+	$(PERL) test/sort.pl <$< >$@
+
+$(STAMPDIR)/%.check: $(STAMPDIR)/%.sort $(STAMPDIR)/%.result
 	diff -u $^
 	@touch $@
 
@@ -106,6 +110,7 @@
 check-import: $(patsubst %.ferm,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))
 
 check: check-ferm check-import
+	@echo "All ferm unit tests finished successfully."
 
 #
 # distribution
@@ -156,5 +161,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.2/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.3/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
