## ferm 2.5

=== debian/changelog ===
ferm (2.5-1) unstable; urgency=medium

  * Add support for .xz files
  * Convert to debsrc 3.0
  * Fix watch expression
  * New upstream version 2.5
    - support for iptables in /usr/sbin (Closes: #912536)
    - use legacy tools if available (Closes: #929416)
  * bump standards version
  * Add ${misc:Pre-Depends} to controlfile
  * Escape $ in HERE doc (Closes: #774927)
  * Move to debhelper-compat

 -- Alexander Wirt <formorer@debian.org>  Sat, 04 Jan 2020 11:58:53 +0100

ferm (2.4-1) unstable; urgency=medium

  * [2bd37ee] New upstream version 2.4
  * [f280aca] Rework example firewall (Closes: #701200, #770946)
  * [9736ebd] Disable cache by default (Closes: #849760)

 -- Alexander Wirt <alexander.wirt@credativ.de>  Tue, 11 Jul 2017 14:52:19 +0200

ferm (2.3-2) unstable; urgency=medium

  * [3e49919] Start ferm as before network and stop as late as possible
    (Closes: #824188)

 -- Alexander Wirt <formorer@debian.org>  Sun, 12 Jun 2016 19:48:04 +0200

ferm (2.3-1) unstable; urgency=medium

  * Verify upstream gpg sig on tarballs
  * Add gpg sig support to watchfile
  * Imported Upstream version 2.3

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Apr 2016 12:07:50 +0200

ferm (2.2-5) unstable; urgency=medium

  * Reimport changes from 2.2-3.2
    Closes: #796611

 -- Alexander Wirt <formorer@debian.org>  Sat, 23 Apr 2016 07:54:53 +0200

ferm (2.2-4) unstable; urgency=medium

  * [ec12e74] Don't fail if /var/cache/ferm isn't writable (Closes: #821895)

 -- Alexander Wirt <formorer@debian.org>  Wed, 20 Apr 2016 11:31:54 +0200

ferm (2.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix breakage introduced by new systemd unit.
    - Do not stop firewall on shutdown.
    - Start after /var/cache is mounted and after network.

 -- Felipe Sateler <fsateler@debian.org>  Tue, 29 Mar 2016 07:54:15 -0300

ferm (2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add native systemd unit, to break ordering cycle. (Closes: #796611)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 28 Mar 2016 20:36:07 -0300

ferm (2.2-3) unstable; urgency=medium

  * [54e6ad3] Honor dpkg-statoverride for /etc&/ferm (Closes: #752686)
  * [93d9656] Move manpage installation to debian/ferm.manpages
  * [40ff883] Remove brace expansion to make lintian happy
  * [2799fe7] Move to dh9
  * [22429c9] Add some docs
  * [6db22f7] Override some broken make targets
  * [444b07c] wrap-and-sort

 -- Alexander Wirt <formorer@debian.org>  Sat, 25 Oct 2014 23:51:57 +0200

ferm (2.2-2) unstable; urgency=medium

  * [139cabd] Do not unconditionally overwrite ENABLED= in /etc/default/ferm.
    Thanks to Christian Kastner for the patch (Closes: 714796)

 -- Alexander Wirt <formorer@debian.org>  Tue, 15 Apr 2014 23:53:56 +0200

ferm (2.2-1) unstable; urgency=low

  * [2df2b7b] Fix watchfile
  * [0e32933] Imported Upstream version 2.2

 -- Alexander Wirt <formorer@debian.org>  Mon, 01 Jul 2013 21:38:49 +0200

ferm (2.1.1-2) experimental; urgency=low

  [ Salvatore Bonaccorso ]
  * Fix "ferm: modifies conffiles (policy 10.7.3): /etc/default/ferm"
    (Closes: #688377)
    - Don't install ferm.default as conffile in /etc/default
    - Read /etc/default/ferm in ferm.config.
      If /etc/default/ferm exists and ENABLED= is present then store the
      value of ENABLED into debconf db.
    - Create /etc/default/ferm in postinst.
      Create /etc/default/ferm if it does not yet exists in postinst.
      Furthermore if the admin deleted or commented the ENABLED then (re-)add
      it to the configuration file in postinst.
    - Remove configuration file on purge in postrm script

 -- Alexander Wirt <formorer@debian.org>  Thu, 01 Nov 2012 19:28:58 +0100

ferm (2.1.1-1) experimental; urgency=low

  * [c95a63e] Add vcs fields to controlfile
  * [60e8141] Imported Upstream version 2.1.1
              - Add support for TPROXY target
                (Closes: #682728)

 -- Alexander Wirt <formorer@debian.org>  Sun, 09 Sep 2012 16:46:45 +0200

ferm (2.1-2) unstable; urgency=low

  [ great debian l10n teams ]
  * Fix pending l10n issues. Debconf translations:
  * Danish (Joe Hansen).  Closes: #626637
  * Polish (Michał Kułach).  Closes: #660532
  * Italian (Beatrice Torracca).  Closes: #660885
  * Slovak (Ivan Masár).  Closes: #661139
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #661356

  [ Alexander Wirt ]
  * bump standards version 

 -- Alexander Wirt <formorer@debian.org>  Fri, 09 Mar 2012 09:03:36 +0100

ferm (2.1-1) unstable; urgency=low

  * New upstream version
    - fix variable expansion in subchain names (Closes: #577709)
    - added @ipfilter function to mix ipv4 and ipv6 addresses
      (Closes: #591329)
    - @if @eq($DOMAIN, ip6) works now - yai (Closes: #591230)
    - Map ICMP to ICMP6 in REJECT's reject-with
      (Closes: #591229)
    - Fix docs for $TRUSTED_HOSTS (Closes: #577701)
  * Bump standards version (no changes)
  * update danish debconf translation (Closes: #626637)
    Thanks to Joe Dalton <joedalton2@yahoo.dk>

 -- Alexander Wirt <formorer@debian.org>  Mon, 18 Jul 2011 07:37:15 +0200

ferm (2.0.9-1) unstable; urgency=low

  * New upstream version
    - allow truncing of strings with substr (Closes: #550854)
    - mod mark is now in manpage (Closes: #578665)
  * Don't stop firewall on shutdown (Closes: #591491)

 -- Alexander Wirt <formorer@debian.org>  Sat, 26 Feb 2011 10:51:19 +0100

ferm (2.0.8-1) unstable; urgency=low

  * New upstream release 
    - Support eq,ne,not (Closes: #407563, #559902)
    - resolve() now support different types like AAAA or MX (Closes: #544248)
    - Fix docs for frag (Closes: #560000)
  * Bump standards version (no changes)
  * Explicitly use 1.0 format

 -- Alexander Wirt <formorer@debian.org>  Thu, 04 Nov 2010 11:52:01 +0100

ferm (2.0.7-1) unstable; urgency=low

  * New upstream version
    - Fix post & flush hooks 
      (Closes: #548579, #563779)
    - Fix negiotation for owner module
      (Closes: #553423)

