## ferm 2.5.1

=== Makefile ===
--- 
+++ 
@@ -50,9 +50,10 @@
 FERM_SCRIPTS += $(wildcard test/protocols/*.ferm) $(wildcard test/misc/*.ferm)
 FERM_SCRIPTS += $(wildcard test/glob/*.ferm)
 FERM_SCRIPTS += $(wildcard test/ipv6/*.ferm)
+FERM_SCRIPTS += $(wildcard test/resolve/*.ferm)
 FERM_SCRIPTS += $(wildcard test/arptables/*.ferm) $(wildcard test/ebtables/*.ferm)
 
-EXCLUDE_IMPORT = test/misc/subchain-domains.ferm test/misc/ipfilter.ferm test/ipv6/mixed.ferm test/misc/address-magic.ferm
+EXCLUDE_IMPORT =
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
 # just a hack
@@ -74,7 +75,7 @@
 
 $(STAMPDIR)/test/ebtables/%.result: test/ebtables/%.ferm src/ferm
 	@mkdir -p $(dir $@)
-	$(PERL) src/ferm --test --slow $< |sed $(EB_ARP_RESULT_SED) >$@
+	$(PERL) src/ferm --test --slow $< |$(PERL) test/ebtables_tempfile_rename.pl |sed $(EB_ARP_RESULT_SED) >$@
 
 $(STAMPDIR)/%.result: %.ferm src/ferm test/sort.pl
 	@mkdir -p $(dir $@)
@@ -84,7 +85,6 @@
 	@mkdir -p $(dir $@)
 	$(PERL) src/ferm --test $< |$(PERL) test/sort.pl >$@
 
-$(STAMPDIR)/test/ipv6/%.IMPORT: export FERM_DOMAIN=ip6
 $(STAMPDIR)/%.IMPORT: $(STAMPDIR)/%.SAVE src/import-ferm
 	$(PERL) src/import-ferm $< >$@
 
@@ -124,7 +124,7 @@
 	install -m 755 src/ferm src/import-ferm $(DISTDIR)/src
 	install -m 644 ferm.service $(DISTDIR)
 	install -m 644 doc/ferm.pod doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 $(DISTDIR)/doc
-	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README TODO $(DISTDIR)
+	install -m 644 config.mk Makefile AUTHORS COPYING NEWS README.rst TODO $(DISTDIR)
 	install -m 644 $(wildcard examples/*.ferm) $(DISTDIR)/examples
 	cd build && tar czf ferm-$(VERSION).tar.gz ferm-$(VERSION)
 
@@ -138,7 +138,7 @@
 
 install: all
 	install -d -m 755 $(DOCDIR)/examples $(PREFIX)/sbin $(SERVICEDIR)
-	install -m 644 AUTHORS COPYING NEWS README TODO $(DOCDIR)
+	install -m 644 AUTHORS COPYING NEWS README.rst TODO $(DOCDIR)
 	install -m 644 examples/*.ferm $(DOCDIR)/examples
 	install -m 755 src/ferm src/import-ferm $(PREFIX)/sbin/
 	install -m 644 ferm.service $(SERVICEDIR)
@@ -161,5 +161,5 @@
 .PHONY: upload
 
 upload: doc/ferm.html
-	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.4/
+	scp NEWS doc/ferm.html foo-projects.org:/var/www/ferm.foo-projects.org/download/2.5/
 	scp examples/*.ferm foo-projects.org:/var/www/ferm.foo-projects.org/download/examples/
