=== debian/changelog ===
ferm (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:03:46 +0200

ferm (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Backport from master to resolve @resolve (Closes: #955613, #958105)

 -- Alexander Wirt <formorer@debian.org>  Mon, 28 Dec 2020 17:08:19 +0100
