=== debian/control ===
Source: ferm
Section: net
Priority: optional
Maintainer: Alexander Wirt <formorer@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (=12), libnet-dns-resolver-mock-perl
Build-Depends-Indep: po-debconf
Vcs-Browser: https://github.com/formorer/pkg-ferm
Vcs-Git: git://github.com/formorer/pkg-ferm.git
Homepage: http://ferm.foo-projects.org/

Package: ferm
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: debconf (>= 1.2.0),
         iptables (>= 1.3),
         lsb-base (>= 3.0-6),
         perl (>= 5.6),
         ${misc:Depends}
Recommends: libnet-dns-perl
Description: maintain and setup complicated firewall rules
 ferm is a frontend for iptables. It reads the rules from a
 structured configuration file and calls iptables(8) to insert them
 into the running kernel.
 .
 ferm's goal is to make firewall rules easy to write and easy to
 read. It tries to reduce the tedious task of writing down rules, thus
 enabling the firewall administrator to spend more time on developing
 good rules than the proper implementation of the rule.
 .
 To achieve this, ferm uses a simple but powerful configuration
 language, which allows variables, functions, arrays, blocks. It also
 allows you to include other files, allowing you to create libraries
 of commonly used structures and functions.
 .
 ferm, pronounced "firm", stands for "For Easy Rule Making".
