## ferm 2.7

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,15 @@
 
 .PHONY: all clean
 
-all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1
+all: doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 ferm.service
 
 clean:
 	rm -rf build
 	rm -f doc/ferm.txt doc/ferm.html doc/ferm.1 doc/import-ferm.1 *.tmp
+	rm -f ferm.service
+
+ferm.service: ferm.service.in
+	sed 's|@prefix@|$(PREFIX)|g' $< > $@
 
 #
 # documentation
@@ -56,6 +60,8 @@
 EXCLUDE_IMPORT =
 IMPORT_SCRIPTS = $(filter-out $(EXCLUDE_IMPORT) test/arptables/% test/ebtables/%,$(FERM_SCRIPTS))
 
+PRESERVE_SCRIPTS += $(wildcard test/preserve/*.ferm)
+
 # just a hack
 RESULT_SED += -e 's,--protocol,-p,g'
 RESULT_SED += -e 's,--in-interface,-i,g'
@@ -66,6 +72,7 @@
 RESULT_SED += -e 's,--jump,-j,g'
 RESULT_SED += -e 's,--goto,-g,g'
 RESULT_SED += -e 's,--fragment,-f,g'
+RESULT_SED += -e '/^\#/d'
 
 EB_ARP_RESULT_SED = -e 's,--jump,-j,g'
 
@@ -103,13 +110,27 @@
 	diff -u $^
 	@touch $@
 
+$(STAMPDIR)/test/preserve/%.preserved: test/preserve/%.ferm src/ferm test/sort.pl $(STAMPDIR)/test/mock/preserve.SAVE2
+	@mkdir -p $(dir $@)
+	$(PERL) src/ferm --test --test-mock-previous=ip=$(STAMPDIR)/test/mock/preserve.SAVE2 $< |$(PERL) test/sort.pl |sed $(RESULT_SED) >$@
+
+$(STAMPDIR)/test/preserve/%.expected: test/preserve/%.result
+	@mkdir -p $(dir $@)
+	sed $(RESULT_SED) $< >$@
+
+$(STAMPDIR)/test/preserve/%.check-preserve: $(STAMPDIR)/test/preserve/%.preserved $(STAMPDIR)/test/preserve/%.expected
+	diff -u $^
+	@touch $@
+
 .PHONY : check-ferm check-import check
 
 check-ferm: $(patsubst %.ferm,$(STAMPDIR)/%.check,$(FERM_SCRIPTS))
 
 check-import: $(patsubst %.ferm,$(STAMPDIR)/%.check-import,$(IMPORT_SCRIPTS))
 
-check: check-ferm check-import
+check-preserve: $(patsubst %.ferm,$(STAMPDIR)/%.check-preserve,$(PRESERVE_SCRIPTS))
+
+check: check-ferm check-import check-preserve
 	@echo "All ferm unit tests finished successfully."
 
 #
