=== debian/changelog ===
ferm (2.7-2) unstable; urgency=medium

  * unchanged upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 10 Aug 2025 15:14:50 +0200

ferm (2.7-1) experimental; urgency=medium

  * new upstream version 2.7 (Closes: #1073794)
  * make piuparts happy: move away old config file if unchanged

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 01 Jun 2025 20:57:01 +0200

ferm (2.5.1-5) experimental; urgency=medium

  * set uploaders and maintainer to adopt the package (Closes: #1073994)
  * remove debconf-based configuration
  * Standards-Version: 4.7.2 (no changes necessary)
  * Move to debhelper 13
  * remove ancient versions from versioned dependencies
  * move ferm and import-ferm to usr/bin
  * re-work debian/watch to look for github tags
  * add documentation key to systemd service
  * register ferm.html with doc-base
  * don't mess with /etc/ferm's file permissions in postinst
  * move signing-key.asc to a place where it isn't found.
  * add autopkgtest to invoke upstream test suite
  * DEP-5 copyright file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 28 May 2025 16:08:38 +0200

ferm (2.5.1-4) unstable; urgency=medium

  * QA upload.
  * d/control: Remove outdated debconf version constraint (Closes: #1096115)

 -- Gioele Barabucci <gioele@svario.it>  Fri, 21 Mar 2025 20:04:26 +0100

ferm (2.5.1-3) unstable; urgency=medium

  * QA upload.

  [ Helge Kreutzmann ]
  * Add Romanian Debconf translation. Thanks Remus-Gabriel Chelu.
    (Closes: #1031885)

  [ Dr. Tobias Quathamer ]
  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated vcs in d/control to Salsa.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 19:08:43 +0100

ferm (2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package with Alexander's consent. Thanks for maintaining it.
  * Sourceful upload performs /usr-move of systemd unit (DEP17).
  * Drop obsolete lsb-base dependency.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 May 2024 13:23:00 +0200
