=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ferm
 Section: net
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (=12), libnet-dns-resolver-mock-perl
-Build-Depends-Indep: po-debconf
-Vcs-Browser: https://github.com/formorer/pkg-ferm
-Vcs-Git: git://github.com/formorer/pkg-ferm.git
-Homepage: http://ferm.foo-projects.org/
+Maintainer: Debian Ferm Maintainers <ferm@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (=13),
+               libnet-dns-resolver-mock-perl,
+Vcs-Browser: https://salsa.debian.org/debian/ferm
+Vcs-Git: https://salsa.debian.org/debian/ferm.git
+Homepage: https://github.com/MaxKellermann/ferm
 
 Package: ferm
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: debconf (>= 1.2.0),
-         iptables (>= 1.3),
-         lsb-base (>= 3.0-6),
-         perl (>= 5.6),
-         ${misc:Depends}
-Recommends: libnet-dns-perl
+Pre-Depends: ${misc:Pre-Depends},
+Depends: iptables,
+         perl,
+         ${misc:Depends},
+Recommends: libnet-dns-perl,
 Description: maintain and setup complicated firewall rules
  ferm is a frontend for iptables. It reads the rules from a
  structured configuration file and calls iptables(8) to insert them
