=== debian/tests/control ===
Tests: make-check
Depends: make, libnet-dns-resolver-mock-perl
Restrictions: build-needed,
